//nacteni DOM, deklarovani promennych
var Ulozeni = document.getElementById("saveTlacitko");
var NepripravenaAkce = document.getElementById("nepripravenaAkce");
var PripraveneAkce = document.getElementById("pripraveneAkce");
var SeznamAkci = document.getElementById("seznamAkci");

//vytvoreni Objektu Aplikace
var Aplikace = {};

Aplikace.start = function() {
	ulozAkci();
	this.vypisAkce();
	this.vymazAkce();
	this.vytvorZpet();
}

// tlacitko zpet
Aplikace.vytvorZpet = function() {
	var tlacitkoZpet = document.createElement("img");
	tlacitkoZpet.src = "images/sipka.png";
	tlacitkoZpet.style.position = "absolute";
	tlacitkoZpet.style.top = "0px";
	tlacitkoZpet.style.left = "5px";
	tlacitkoZpet.style.opacity = "0.8";
	document.body.appendChild(tlacitkoZpet);
	tlacitkoZpet.onclick = function() {
		window.location.href = 'index.html';
	}
}

// vypsani akci
Aplikace.vypisAkce = function() {	
	if (PripraveneAkce != undefined) {
		if (localStorage.getItem("pocetPrvku") == 0) {
			SeznamAkci.innerHTML = "V plánu nemáš žádnou akci. Přidej si nějakou.";
		}
		for (var i = 1; i <= localStorage.getItem("pocetPrvku"); i++) {
			var akceNaVypis = Databaze.vypisAkce(i);
			SeznamAkci.innerHTML += "<a href='#obsah" + i + "'><b>" + akceNaVypis[0] + "</b>-" + akceNaVypis[1] + "-" + akceNaVypis[2] + " </a><br /><br />";
			SeznamAkci.innerHTML += "<div data-poradi='" + i + "' id='obsah" + i + "'>" + "<b>Tel. čísla:</b> " + akceNaVypis[3] + "<br />" + "<b>Časy: </b>" + akceNaVypis[4] + "<br />" + "<b>Poznámky: </b>" + akceNaVypis[5] + "<br /><br /><button>Smazat Akci</button></div>";
			
		}
	}
}

// vymazaniAkce
Aplikace.vymazAkce = function() {	
		document.addEventListener("click", function(e) {
			if (e.target.nodeName == "BUTTON") {
				if (!(e.target.hasAttributes())) {
					var cislo = e.target.parentElement.dataset.poradi;
					Databaze.vymazAkci(cislo);
				}
				
			}
	});	
}

Aplikace.start();